package example.timeestimation;

import java.util.Map;

import dcworms.schedframe.scheduling.ExecTask;
import schedframe.Parameters;
import schedframe.PluginConfiguration;
import schedframe.events.scheduling.SchedulingEvent;
import schedframe.resources.units.ResourceUnit;
import schedframe.resources.units.ResourceUnitName;
import schedframe.scheduling.plugin.estimation.ExecutionTimeEstimationPlugin;

public abstract class BaseTimeEstimationPlugin implements ExecutionTimeEstimationPlugin {

	public PluginConfiguration getConfiguration() {
		return null;
	}

	public String getName() {
		return getClass().getName();
	}

	public void init(Parameters parameters) {
	}

	public double estimateMigrationTime(SchedulingEvent event, ExecTask task,
			Map<ResourceUnitName, ResourceUnit> srcResources, Map<ResourceUnitName, ResourceUnit> dstResources) {
		return 0;
	}
}
